# Report

interface Report : Configurable<T>

A file based report to be created.

Tasks that produce reports expose instances of this type for configuration via the Reporting interface.

#### Inheritors

ConfigurableReport

## Types

OutputType
Link copied to clipboard
enum OutputType
The type of output the report produces

## Properties

NAMER
Link copied to clipboard
val NAMER: Namer<Report>

## Functions

configure
Link copied to clipboard
abstract fun configure(cl: Closure): T
getDisplayName
Link copied to clipboard
@Input
abstract fun getDisplayName(): String
A more descriptive name of this report.
getName
Link copied to clipboard
@Input
abstract fun getName(): String
The symbolic name of this report.
getOutputLocation
Link copied to clipboard
@Internal(value = "Implementations need to add the correct annotation, @OutputDirectory or @OutputFile")
abstract fun getOutputLocation(): Property<out FileSystemLocation>
The location on the filesystem to generate the report to.
getOutputType
Link copied to clipboard
@Input
abstract fun getOutputType(): Report.OutputType
The type of output that the report generates.
getRequired
Link copied to clipboard
@Input
abstract fun getRequired(): Property<Boolean>
A flag that determines whether this report should be generated or not.